# LEGO Horizon Adventures 1.2.0
# BID: 675538722EE1FACB

unsafeCheck: true

ALL_FPS:
  # r.VSync
  -
    type: write
    address: [MAIN, 0x9134990, 0]
    value_type: int32
    value: [0, 0]
  # r.DynamicRes.FrameTimeBudget (1000/FPS) cutted to 2 decimals
  -
    type: evaluate_write
    address: [MAIN, 0xA103148, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0xA13DAF0, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
